--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/core/tpl/login.tpl.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/core/tpl/login.tpl.php	2025-06-27 11:43:40.140838000 +0000
@@ -148,20 +148,12 @@
 	'/core/js/dst.js'.(empty($conf->dol_use_jmobile) ? '' : '?version='.urlencode(DOL_VERSION))
 );
 
-// We display application title
-$application = constant('DOL_APPLICATION_TITLE');
-$applicationcustom = getDolGlobalString('MAIN_APPLICATION_TITLE');
-if ($applicationcustom) {
-	$application = (preg_match('/^\+/', $applicationcustom) ? $application : '').$applicationcustom;
-}
-
-// We define login title
-if ($applicationcustom) {
-	$titleofloginpage = $langs->trans('Login').' '.$application;
+// We display application title instead Login term
+if (getDolGlobalString('MAIN_APPLICATION_TITLE')) {
+	$titleofloginpage = getDolGlobalString('MAIN_APPLICATION_TITLE');
 } else {
 	$titleofloginpage = $langs->trans('Login');
 }
-// Title of HTML page must have pattern ' @ (?:Doli[a-zA-Z]+ |)(\\d+)\\.(\\d+)\\.([^\\s]+)' to be detected as THE login page by webviews.
 $titleofloginpage .= ' @ '.$titletruedolibarrversion; // $titletruedolibarrversion is defined by dol_loginfunction in security2.lib.php. We must keep the @, some tools use it to know it is login page and find true dolibarr version.
 
 $disablenofollow = 1;
@@ -264,12 +256,12 @@
 
 
 <!-- Title with version -->
-<div class="login_table_title center" tabindex="-1" title="<?php echo dolPrintHTMLForAttribute($title); ?>">
+<div class="login_table_title center" tabindex="-1" title="<?php echo dol_escape_htmltag($title); ?>">
 <?php
 if ($disablenofollow) {
 	echo '<a class="login_table_title" tabindex="-1" href="https://www.dolibarr.org" target="_blank" rel="noopener noreferrer external">';
 }
-echo dolPrintHTML($title);
+echo dol_escape_htmltag($title);
 if ($disablenofollow) {
 	echo '</a>';
 }

########## core/tpl/massactions_pre.tpl.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/core/tpl/massactions_pre.tpl.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/core/tpl/massactions_pre.tpl.php	2025-06-27 11:43:40.142035000 +0000
@@ -333,7 +333,7 @@
 	// Make substitution in email content
 	$substitutionarray = getCommonSubstitutionArray($langs, 0, null, $object);
 
-	$substitutionarray['__EMAIL__'] = empty($sendto) ? '__EMAIL__' : $sendto;
+	$substitutionarray['__EMAIL__'] = $sendto;
 	$substitutionarray['__CHECK_READ__'] = '<img src="'.DOL_MAIN_URL_ROOT.'/public/emailing/mailing-read.php?tag=undefined&securitykey='.dol_hash(getDolGlobalString('MAILING_EMAIL_UNSUBSCRIBE_KEY')."-undefined", 'md5').'" width="1" height="1" style="width:1px;height:1px" border="0"/>';
 	$substitutionarray['__ONLINE_PAYMENT_URL__'] = 'UrlToPayOnlineIfApplicable';
 	$substitutionarray['__ONLINE_PAYMENT_TEXT_AND_URL__'] = 'TextAndUrlToPayOnlineIfApplicable';

########## core/tpl/objectline_create.tpl.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/core/tpl/objectline_create.tpl.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/core/tpl/objectline_create.tpl.php	2025-06-27 11:43:40.121206000 +0000
@@ -26,29 +26,25 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program. If not, see <https://www.gnu.org/licenses/>.
+ *
+ * Need to have the following variables defined:
+ * $object (invoice, order, ...)
+ * $conf
+ * $langs
+ * $dateSelector
+ * $forceall (0 by default, 1 for supplier invoices/orders)
+ * $senderissupplier (0 by default, 1 or 2 for supplier invoices/orders)
+ * $inputalsopricewithtax (0 by default, 1 to also show column with unit price including tax)
  */
-
 /**
- * @var Conf $conf
  * @var CommonObject $this
  * @var CommonObject $object
  * @var CommonObjectLine $line
- * @var ExtraFields $extrafields
  * @var Form $form
  * @var HookManager $hookmanager
  * @var Translate $langs
  * @var User $user
- * @var Societe $buyer
- * @var Societe $seller
- *
- * @var string $action
- * @var string $usehm
- * @var int $dateSelector
- * @var int $forceall (0 by default, 1 for supplier invoices/orders)
- * @var int $senderissupplier (0 by default, 1 or 2 for supplier invoices/orders)
- * @var int $inputalsopricewithtax (0 by default, 1 to also show column with unit price including tax)
  */
-
 // Protection to avoid direct call of template
 if (empty($object) || !is_object($object)) {
 	print "Error: this template page cannot be called directly as an URL";
@@ -631,18 +627,18 @@
 	}
 
 	if (!$date_start) {
-		if (getDolGlobalString('MAIN_DEFAULT_DATE_START_HOUR') != '') {
+		if (isset($conf->global->MAIN_DEFAULT_DATE_START_HOUR)) {
 			print 'jQuery("#date_starthour").val("' . getDolGlobalString('MAIN_DEFAULT_DATE_START_HOUR').'");';
 		}
-		if (getDolGlobalString('MAIN_DEFAULT_DATE_START_MIN') != '') {
+		if (isset($conf->global->MAIN_DEFAULT_DATE_START_MIN)) {
 			print 'jQuery("#date_startmin").val("' . getDolGlobalString('MAIN_DEFAULT_DATE_START_MIN').'");';
 		}
 	}
 	if (!$date_end) {
-		if (getDolGlobalString('MAIN_DEFAULT_DATE_END_HOUR')) {
+		if (isset($conf->global->MAIN_DEFAULT_DATE_END_HOUR)) {
 			print 'jQuery("#date_endhour").val("' . getDolGlobalString('MAIN_DEFAULT_DATE_END_HOUR').'");';
 		}
-		if (getDolGlobalString('MAIN_DEFAULT_DATE_END_MIN')) {
+		if (isset($conf->global->MAIN_DEFAULT_DATE_END_MIN)) {
 			print 'jQuery("#date_endmin").val("' . getDolGlobalString('MAIN_DEFAULT_DATE_END_MIN').'");';
 		}
 	}

########## core/tpl/objectline_edit.tpl.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/core/tpl/objectline_edit.tpl.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/core/tpl/objectline_edit.tpl.php	2025-06-27 11:43:40.122882000 +0000
@@ -36,20 +36,15 @@
  */
 
 /**
- * @var Conf $conf
+ * @var CommonObject $this
+ * @var CommonObject $object
+ * @var CommonObjectLine $line
  * @var Form $form
  * @var HookManager $hookmanager
  * @var Translate $langs
  * @var User $user
- * @var ExtraFields $extrafields
- * @var CommonObject $this
- * @var CommonObject $object
- * @var CommonObjectLine $line
  * @var Societe $seller
  * @var Societe $buyer
- *
- * @var string $action
- * @var int	$dateSelector
  */
 
 // Protection to avoid direct call of template
@@ -413,7 +408,7 @@
 			}
 		}
 	}
-	$hourmin = getDolGlobalInt('MAIN_USE_HOURMIN_IN_DATE_RANGE');
+	$hourmin = (isset($conf->global->MAIN_USE_HOURMIN_IN_DATE_RANGE) ? $conf->global->MAIN_USE_HOURMIN_IN_DATE_RANGE : '');
 	print $form->selectDate($line->date_start, 'date_start', $hourmin, $hourmin, $line->date_start ? 0 : 1, "updateline", 1, 0);
 	print ' '.$langs->trans('to').' ';
 	print $form->selectDate($line->date_end, 'date_end', $hourmin, $hourmin, $line->date_end ? 0 : 1, "updateline", 1, 0);
@@ -440,10 +435,12 @@
 		<?php
 	}
 	if (!$line->date_start) {
-		if (getDolGlobalString('MAIN_DEFAULT_DATE_START_HOUR') != '') {
+		if (isset($conf->global->MAIN_DEFAULT_DATE_START_HOUR)) {
 			print 'jQuery("#date_starthour").val("' . getDolGlobalString('MAIN_DEFAULT_DATE_START_HOUR').'");';
 		}
-		if (getDolGlobalString('MAIN_DEFAULT_DATE_START_MIN') != '') {
+
+
+		if (isset($conf->global->MAIN_DEFAULT_DATE_START_MIN)) {
 			print 'jQuery("#date_startmin").val("' . getDolGlobalString('MAIN_DEFAULT_DATE_START_MIN').'");';
 		}
 
@@ -458,10 +455,10 @@
 		}
 	}
 	if (!$line->date_end) {
-		if (getDolGlobalString('MAIN_DEFAULT_DATE_END_HOUR') != '') {
+		if (isset($conf->global->MAIN_DEFAULT_DATE_END_HOUR)) {
 			print 'jQuery("#date_endhour").val("' . getDolGlobalString('MAIN_DEFAULT_DATE_END_HOUR').'");';
 		}
-		if (getDolGlobalString('MAIN_DEFAULT_DATE_END_MIN') != '') {
+		if (isset($conf->global->MAIN_DEFAULT_DATE_END_MIN)) {
 			print 'jQuery("#date_endmin").val("' . getDolGlobalString('MAIN_DEFAULT_DATE_END_MIN').'");';
 		}
 

########## core/tpl/objectline_title.tpl.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/core/tpl/objectline_title.tpl.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/core/tpl/objectline_title.tpl.php	2025-06-27 11:43:40.124049000 +0000
@@ -42,7 +42,6 @@
  * @var Form $form
  * @var HookManager $hookmanager
  * @var Translate $langs
- * @var Conf $conf
  * @var User $user
  */
 
@@ -122,7 +121,7 @@
 
 // Multicurrency
 if (isModEnabled("multicurrency") && $this->multicurrency_code != $conf->currency) {
-	print '<th class="linecoluht_currency right" style="width: 80px">'.$langs->trans('PriceUTTC').' ('.$langs->getCurrencySymbol($this->multicurrency_code).')</th>';
+	print '<th class="linecoluht_currency right" style="width: 80px">'.$langs->trans('PriceUHTCurrency', $this->multicurrency_code).'</th>';
 }
 
 if (!empty($inputalsopricewithtax) && !getDolGlobalInt('MAIN_NO_INPUT_PRICE_WITH_TAX')) {
@@ -211,7 +210,7 @@
 
 // Multicurrency
 if (isModEnabled("multicurrency") && $this->multicurrency_code != $conf->currency) {
-	print '<th class="linecoltotalht_currency right">'.$langs->trans('TotalHTShort').' ('.$langs->getCurrencySymbol($this->multicurrency_code).')</th>';
+	print '<th class="linecoltotalht_currency right">'.$langs->trans('TotalHTShortCurrency', $this->multicurrency_code).'</th>';
 }
 
 if ($outputalsopricetotalwithtax) {

########## core/tpl/objectline_view.tpl.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/core/tpl/objectline_view.tpl.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/core/tpl/objectline_view.tpl.php	2025-06-27 11:43:40.125311000 +0000
@@ -26,7 +26,10 @@
  *
  * Need to have the following variables defined:
  * $object (invoice, order, ...)
+ * $conf
+ * $langs
  * $dateSelector
+ * $forceall (0 by default, 1 for supplier invoices/orders)
  * $element     (used to test $user->rights->$element->creer)
  * $permtoedit  (used to replace test $user->rights->$element->creer)
  * $senderissupplier (0 by default, 1 for supplier invoices/orders)
@@ -51,9 +54,9 @@
  *
  * @var string $action
  * @var int $i
- * @var int $forceall
+ * @var 0|1 $forceall
  * @var int $num
- * @var int $senderissupplier
+ * @var 0|1 $senderissupplier
  * @var string $text
  * @var string $description
  */

########## core/triggers/interface_50_modAgenda_ActionsAuto.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/core/triggers/interface_50_modAgenda_ActionsAuto.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/core/triggers/interface_50_modAgenda_ActionsAuto.class.php	2025-06-27 11:43:40.938603000 +0000
@@ -1603,7 +1603,7 @@
 		// Insertion action
 		require_once DOL_DOCUMENT_ROOT.'/comm/action/class/actioncomm.class.php';
 		$actioncomm = new ActionComm($this->db);
-		$actioncomm->type_code   = $object->actiontypecode; // Type of event ('AC_OTH', 'AC_OTH_AUTO', 'AC_TICKET_CREATE', 'AC_XXX'...)
+		$actioncomm->type_code   = $object->actiontypecode; // Type of event ('AC_OTH', 'AC_OTH_AUTO', 'AC_XXX'...)
 		$actioncomm->code        = 'AC_'.$action;
 		$actioncomm->label       = $object->actionmsg2;		// Label of event
 		$actioncomm->note_private = $object->actionmsg;		// Description
@@ -1616,19 +1616,14 @@
 		$actioncomm->contact_id  = $contactforactionid; // deprecated, now managed by setting $actioncomm->socpeopleassigned later
 		$actioncomm->authorid    = $user->id; // User saving action
 		$actioncomm->userownerid = $user->id; // Owner of action
-
 		// Fields defined when action is an email (content should be into object->actionmsg to be added into event note, subject should be into object->actionmsg2 to be added into event label)
 		if (!property_exists($object, 'email_fields_no_propagate_in_actioncomm') || empty($object->email_fields_no_propagate_in_actioncomm)) {
-			'@phan-var-force ActionComm $object';  // TODO: None of the dolibarr classes has all the fields, check class type or properties (email_date)
-			// If event is to record a message after an email received, we use the date of email as date of event.
-			if (!empty($object->email_date) && $actioncomm->type_code === 'AC_TICKET_CREATE') {
-				$actioncomm->datep         = $object->email_date;
-				$actioncomm->datef         = $object->email_date;
-			}
+			'@phan-var-force ActionComm $object';  // TODO: Non of the dolibarr classes has all the fields, check class type or properties (email_date)
+			$actioncomm->datep         = empty($object->email_date) ? $now : $object->email_date;
+			$actioncomm->datef         = empty($object->email_date) ? $now : $object->email_date;
 			$actioncomm->email_msgid   = empty($object->email_msgid) ? null : $object->email_msgid;
 			$actioncomm->email_from    = empty($object->email_from) ? null : $object->email_from;
-			$actioncomm->email_reply_to = empty($object->email_reply_to) ? null : $object->email_reply_to;
-			$actioncomm->email_subject = empty($object->email_subject) ? null : $object->email_subject;
+			$actioncomm->email_sender  = empty($object->email_sender) ? null : $object->email_sender;
 			$actioncomm->email_to      = empty($object->email_to) ? null : $object->email_to;
 			$actioncomm->email_tocc    = empty($object->email_tocc) ? null : $object->email_tocc;
 			$actioncomm->email_tobcc   = empty($object->email_tobcc) ? null : $object->email_tobcc;
@@ -1662,8 +1657,6 @@
 			}
 		}
 
-		$actioncomm->ip = getUserRemoteIP(1);
-
 		$ret = $actioncomm->create($user); // User creating action
 
 		if ($ret > 0 && getDolGlobalString('MAIN_COPY_FILE_IN_EVENT_AUTO')) {

########## core/triggers/interface_50_modEventOrganization_EventOrganization.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/core/triggers/interface_50_modEventOrganization_EventOrganization.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/core/triggers/interface_50_modEventOrganization_EventOrganization.class.php	2025-06-27 11:43:40.944594000 +0000
@@ -71,7 +71,7 @@
 	 */
 	public function runTrigger($action, $object, User $user, Translate $langs, Conf $conf)
 	{
-		if (!isModEnabled('eventorganization')) {
+		if (empty($conf->eventorganization) || empty($conf->eventorganization->enabled)) {
 			return 0; // Module not active, we do nothing
 		}
 

########## core/triggers/interface_50_modTicket_TicketEmail.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/core/triggers/interface_50_modTicket_TicketEmail.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/core/triggers/interface_50_modTicket_TicketEmail.class.php	2025-06-27 11:43:40.949377000 +0000
@@ -65,7 +65,7 @@
 
 		$ok = 0;
 
-		if (!isModEnabled('ticket')) {
+		if (empty($conf->ticket) || !isModEnabled('ticket')) {
 			return 0; // Module not active, we do nothing
 		}
 

########## core/triggers/interface_80_modStripe_Stripe.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/core/triggers/interface_80_modStripe_Stripe.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/core/triggers/interface_80_modStripe_Stripe.class.php	2025-06-27 11:43:40.951309000 +0000
@@ -81,7 +81,7 @@
 
 		$service = 'StripeTest';
 		$servicestatus = 0;
-		if (getDolGlobalString('STRIPE_LIVE')/* && !GETPOST('forcesandbox', 'alpha') */) {
+		if (getDolGlobalString('STRIPE_LIVE') && !GETPOST('forcesandbox', 'alpha')) {
 			$service = 'StripeLive';
 			$servicestatus = 1;
 		}

########## cron/card.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/cron/card.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/cron/card.php	2025-06-27 11:43:40.016269000 +0000
@@ -438,7 +438,7 @@
 	print '<tr><td class="fieldrequired">';
 	print $langs->trans('CronEvery')."</td>";
 	print "<td>";
-	print '<select name="nbfrequency" id="nbfrequency" class="width50 maxwidth50imp">';
+	print '<select name="nbfrequency">';
 	for ($i = 1; $i <= 60; $i++) {
 		if ($object->frequency == $i) {
 			print "<option value='".$i."' selected>".$i."</option>";
@@ -447,8 +447,7 @@
 		}
 	}
 	print "</select>";
-	print ajax_combobox('nbfrequency');
-	$input = " &nbsp;<input type=\"radio\" name=\"unitfrequency\" value=\"60\" id=\"frequency_minute\" ";
+	$input = " <input type=\"radio\" name=\"unitfrequency\" value=\"60\" id=\"frequency_minute\" ";
 	if ($object->unitfrequency == "60") {
 		$input .= ' checked />';
 	} else {
@@ -457,7 +456,7 @@
 	$input .= "<label for=\"frequency_minute\">".$langs->trans('Minutes')."</label>";
 	print $input;
 
-	$input = " &nbsp;<input type=\"radio\" name=\"unitfrequency\" value=\"3600\" id=\"frequency_heures\" ";
+	$input = " <input type=\"radio\" name=\"unitfrequency\" value=\"3600\" id=\"frequency_heures\" ";
 	if ($object->unitfrequency == "3600") {
 		$input .= ' checked />';
 	} else {
@@ -466,7 +465,7 @@
 	$input .= "<label for=\"frequency_heures\">".$langs->trans('Hours')."</label>";
 	print $input;
 
-	$input = " &nbsp;<input type=\"radio\" name=\"unitfrequency\" value=\"86400\" id=\"frequency_jours\" ";
+	$input = " <input type=\"radio\" name=\"unitfrequency\" value=\"86400\" id=\"frequency_jours\" ";
 	if ($object->unitfrequency == "86400") {
 		$input .= ' checked />';
 	} else {
@@ -475,7 +474,7 @@
 	$input .= "<label for=\"frequency_jours\">".$langs->trans('Days')."</label>";
 	print $input;
 
-	$input = " &nbsp;<input type=\"radio\" name=\"unitfrequency\" value=\"604800\" id=\"frequency_semaine\" ";
+	$input = " <input type=\"radio\" name=\"unitfrequency\" value=\"604800\" id=\"frequency_semaine\" ";
 	if ($object->unitfrequency == "604800") {
 		$input .= ' checked />';
 	} else {
@@ -484,7 +483,7 @@
 	$input .= "<label for=\"frequency_semaine\">".$langs->trans('Weeks')."</label>";
 	print $input;
 
-	$input = " &nbsp;<input type=\"radio\" name=\"unitfrequency\" value=\"2678400\" id=\"frequency_month\" ";
+	$input = " <input type=\"radio\" name=\"unitfrequency\" value=\"2678400\" id=\"frequency_month\" ";
 	if ($object->unitfrequency == "2678400") {
 		$input .= ' checked />';
 	} else {

########## datapolicy/admin/setup.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/datapolicy/admin/setup.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/datapolicy/admin/setup.php	2025-06-27 11:43:40.027418000 +0000
@@ -2,7 +2,7 @@
 /* Copyright (C) 2004-2017 Laurent Destailleur  <eldy@users.sourceforge.net>
  * Copyright (C) 2018      Nicolas ZABOURI      <info@inovea-conseil.com>
  * Copyright (C) 2024      MDW                  <mdeweerd@users.noreply.github.com>
- * Copyright (C) 2024      Frédéric France         <frederic.france@free.fr>
+ * Copyright (C) 2024       Frédéric France         <frederic.france@free.fr>
  *
  * This program is free software: you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
@@ -39,7 +39,7 @@
  */
 
 // Translations
-$langs->loadLangs(array('admin', 'companies', 'cron', 'members', 'datapolicy'));
+$langs->loadLangs(array('admin', 'companies', 'members', 'datapolicy'));
 
 // Parameters
 $action = GETPOST('action', 'aZ09');

########## don/class/api_donations.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/don/class/api_donations.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/don/class/api_donations.class.php	2025-06-27 11:43:41.457876000 +0000
@@ -110,7 +110,7 @@
 		$obj_ret = array();
 
 		// case of external user, $thirdparty_ids param is ignored and replaced by user's socid
-		$socids = DolibarrApiAccess::$user->socid ?: $thirdparty_ids;
+		$socids = DolibarrApiAccess::$user->socid ? DolibarrApiAccess::$user->socid : $thirdparty_ids;
 
 		$sql = "SELECT t.rowid";
 		if ((!DolibarrApiAccess::$user->hasRight('societe', 'client', 'voir') && !$socids)) {

########## don/paiement/list.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/don/paiement/list.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/don/paiement/list.php	2025-06-27 11:43:41.465542000 +0000
@@ -87,8 +87,6 @@
 
 $search_all = trim(GETPOST('search_all', 'alphanohtml'));
 
-$object = new Don($db);
-
 $morejs = array();
 $morecss = array();
 
@@ -165,6 +163,7 @@
  */
 
 $form = new Form($db);
+$donationstatic = new Don($db);
 $companystatic = new Societe($db);
 $bankline = new AccountLine($db);
 $accountstatic = new Account($db);
@@ -472,7 +471,7 @@
 	$totalarray['nbfield']++;
 }
 if (!empty($arrayfields['pd.num_paiement']['checked'])) {
-	print_liste_field_titre($arrayfields['pd.num_paiement']['label'], $_SERVER["PHP_SELF"], "pd.num_payment", '', $param, '', $sortfield, $sortorder, '', $arrayfields['pd.num_paiement']['tooltip']);
+	print_liste_field_titre($arrayfields['pd.num_paiement']['label'], $_SERVER["PHP_SELF"], "pd.num_payment", '', $param, '', $sortfield, $sortorder, '', $arrayfields['p.num_paiement']['tooltip']);
 	$totalarray['nbfield']++;
 }
 if (!empty($arrayfields['transaction']['checked'])) {
@@ -566,7 +565,7 @@
 		if ($obj->soc_id > 0) {
 			print $companystatic->getNomUrl(1, '', 24);
 		} else {
-			print $object->societe = $obj->societe;
+			print $donationstatic->societe = $obj->societe;
 		}
 		print '</td>';
 		if (!$i) {

########## emailcollector/class/emailcollector.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/emailcollector/class/emailcollector.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/emailcollector/class/emailcollector.class.php	2025-06-27 11:43:39.449201000 +0000
@@ -513,6 +513,8 @@
 	 */
 	public function fetchAll(User $user, $activeOnly = 0, $sortfield = 's.rowid', $sortorder = 'ASC', $limit = 100, $page = 0)
 	{
+		global $langs;
+
 		$obj_ret = array();
 
 		$sql = "SELECT s.rowid";
@@ -546,6 +548,7 @@
 		} else {
 			$this->errors[] = 'EmailCollector::fetchAll Error when retrieve emailcollector list';
 			dol_syslog('EmailCollector::fetchAll Error when retrieve emailcollector list', LOG_ERR);
+			$ret = -1;
 		}
 		if (!count($obj_ret)) {
 			dol_syslog('EmailCollector::fetchAll No emailcollector found', LOG_DEBUG);
@@ -1847,9 +1850,7 @@
 					$trackidfoundintomsgidid = $reg[1];
 				}
 
-				// Now apply some filters.
-
-				//If there is an emailcollector filter on trackid
+				// If there is an emailcollecter filter on trackid
 				if ($searchfilterdoltrackid > 0) {
 					if (empty($trackidfoundintorecipienttype) && empty($trackidfoundintomsgidtype)) {
 						if (empty($headers['References']) || !preg_match('/@'.preg_quote($host, '/').'/', $headers['References'])) {
@@ -1944,8 +1945,7 @@
 
 
 				if (getDolGlobalString('MAIN_IMAP_USE_PHPIMAP')) {
-					$dateformated = dol_print_date($overview['date'], 'dayrfc', 'gmt');		// May generate a warning "dol_print_date($overview['date'], 'dayrfc', 'gmt')" in log
-					dol_syslog("msgid=".$overview['message_id']." date=".$dateformated." from=".$overview['from']." to=".$overview['to']." subject=".$overview['subject']);
+					dol_syslog("msgid=".$overview['message_id']." date=".dol_print_date($overview['date'], 'dayrfc', 'gmt')." from=".$overview['from']." to=".$overview['to']." subject=".$overview['subject']);
 
 					// Removed emojis
 					$overview['subject'] = removeEmoji($overview['subject'], getDolGlobalInt('MAIN_EMAIL_COLLECTOR_ACCEPT_EMOJIS', 1));
@@ -2159,8 +2159,6 @@
 				// var_dump($headers['References']);
 				// var_dump($arrayofreferences);
 
-				// We loop on References, but as soon as we found one that allow us to find an existing object,
-				// we do a break (See line with comment "Exit loop of references").
 				foreach ($arrayofreferences as $reference) {
 					//print "Process mail ".$iforemailloop." email_msgid ".$msgid.", date ".dol_print_date($dateemail, 'dayhour', 'gmt').", subject ".$subject.", reference ".dol_escape_htmltag($reference)."<br>\n";
 					if (!empty($trackidfoundintorecipienttype)) {
@@ -2322,7 +2320,7 @@
 								$projectid = $objectemail->id;
 							}
 
-							if ($objectemail instanceof Ticket) {	// For tickets, we have a column to store all met references, so we complete it if we need to.
+							if ($objectemail instanceof Ticket) {
 								$ticketid = $objectemail->id;
 
 								$changeonticket_references = false;
@@ -2341,8 +2339,7 @@
 									}
 								}
 								if ($changeonticket_references) {
-									$operationslog .= '<br>We complete ticket ID='.$ticketid.' with property origin_references='.$objectemail->origin_references;
-									$objectemail->update($user, 1);		// We complete the references field with all references mentioned into this email. This field is for technical tracking purpose, not a user field, so no need to execute triggers
+									$objectemail->update($user, 1);		// We complete the references field, that is a field for technical tracking purpose, not a user field, so no need to execute triggers
 								}
 							}
 						}
@@ -2455,8 +2452,7 @@
 				 }
 				 */
 
-
-				// Now do all operations for the email (extract variables and creating data)
+				// Do operations (extract variables and creating data)
 				if ($mode < 2) {	// 0=Mode production, 1=Mode test (read IMAP and try SQL update then rollback), 2=Mode test with no SQL updates
 					foreach ($this->actions as $operation) {
 						$errorforthisaction = 0;
@@ -2513,10 +2509,7 @@
 							$tickettocreate = new Ticket($this->db);
 							$errorfetchticket = 0;
 							$alreadycreated = 0;
-							if ($ticketid > 0) {
-								$alreadycreated = $tickettocreate->fetch($ticketid);
-							}
-							if ($alreadycreated == 0 && !empty($trackid)) {
+							if (!empty($trackid)) {
 								$alreadycreated = $tickettocreate->fetch(0, '', $trackid);
 							}
 							if ($alreadycreated == 0 && !empty($msgid)) {
@@ -2530,7 +2523,7 @@
 									$operationslog .= '<br>Ticket not found using trackid='.$trackid.' or msgid='.$msgid;
 									$ticketalreadyexists = 0;
 								} else {
-									$operationslog .= '<br>Ticket already found using trackid='.$trackid.' or msgid='.$msgid.", we replace operation 'ticket' with 'recordevent' to add a new message";	// We change the operation type to do
+									$operationslog .= '<br>Ticket already found using trackid='.$trackid.' or msgid='.$msgid;	// We change the operation type to do
 									$ticketalreadyexists = 1;
 									$operation['type'] = 'recordevent';
 								}
@@ -2539,15 +2532,11 @@
 							}
 						}
 
-						// Process now the operation according to its type
+						// Process now the operation type
 
 						// Search and create thirdparty
 						if ($operation['type'] == 'loadthirdparty' || $operation['type'] == 'loadandcreatethirdparty') {
-							if ($thirdpartyid > 0) {
-								// We already have found the thirdparty id to load, so we bypass the action loadthirdparty
-								$idtouseforthirdparty = $thirdpartyid;
-								$operationslog .= '<br>We already have found a related thirdparty id, so we bypass the action loadthirdparty and use idtouseforthirdparty='.$idtouseforthirdparty;
-							} elseif (empty($operation['actionparam'])) {
+							if (empty($operation['actionparam'])) {
 								$errorforactions++;
 								$this->error = "Action loadthirdparty or loadandcreatethirdparty has empty parameter. Must be a rule like 'name=HEADER:^From:(.*);' or 'name=SET:xxx' or 'name=EXTRACT:(body|subject):regex where 'name' can be replaced with 'id' or 'email' to define how to set or extract data. More properties can also be set, for example client=SET:2;";
 								$this->errors[] = $this->error;
@@ -2877,7 +2866,7 @@
 
 							$alreadycreated = $actioncomm->fetch(0, '', '', $msgid);
 							if ($alreadycreated == 0) {
-								$operationslog .= '<br>We did not find existing actioncomm with msgid='.$msgid;
+								$operationslog .= '<br>We did not find existing actionmail with msgid='.$msgid;
 
 								if ($projectstatic->id > 0) {
 									if ($projectfoundby) {
@@ -2990,8 +2979,6 @@
 										$operationslog .= '<br>Event created -> id='.dol_escape_htmltag((string) $actioncomm->id);
 									}
 								}
-							} else {
-								$operationslog .= '<br>An event in actioncomm table already exists for the msgid = '.$msgid.' so we bypass this action.';
 							}
 						} elseif ($operation['type'] == 'recordjoinpiece') {
 							$data = [];
@@ -3469,11 +3456,6 @@
 										}
 									}
 								}
-							} else {
-								// Do nothing in action ticket if ticket already exists.
-								// Note that if we want to add a new event to a ticket, we should have a collector with action "Record event in agenda" or hope the type of action 'ticket' was
-								// already replaced automatically by operation "recordevent".
-								$operationslog .= '<br>Ticket already exists, so we bypass action "ticket"';
 							}
 						} elseif ($operation['type'] == 'candidature') {
 							// Create candidature

########## eventorganization/class/conferenceorbooth.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/eventorganization/class/conferenceorbooth.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/eventorganization/class/conferenceorbooth.class.php	2025-06-27 11:43:41.426304000 +0000
@@ -332,7 +332,7 @@
 
 		// Manage filter
 		if (is_array($filter)) {	// deprecated, use $filter = USF syntax
-			dol_syslog("You are using a deprecated use of fetchAll. filter parameter must be an USF string now.", LOG_WARNING);
+			dol_syslog("You are using a deprecated use of fetchAll. filter parameter mus be an USF string now.", LOG_WARNING);
 			$sqlwhere = array();
 			if (count($filter) > 0) {
 				foreach ($filter as $key => $value) {

########## eventorganization/class/conferenceorboothattendee.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/eventorganization/class/conferenceorboothattendee.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/eventorganization/class/conferenceorboothattendee.class.php	2025-06-27 11:43:41.429455000 +0000
@@ -476,7 +476,7 @@
 
 		// Manage filter
 		if (is_array($filter)) {	// deprecated, use $filter = USF syntax
-			dol_syslog("You are using a deprecated use of fetchAll. filter parameter must be an USF string now.", LOG_WARNING);
+			dol_syslog("You are using a deprecated use of fetchAll. filter parameter mus be an USF string now.", LOG_WARNING);
 			$sqlwhere = array();
 			if (count($filter) > 0) {
 				foreach ($filter as $key => $value) {

########## expedition/card.php
